This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 736870 - Review Request: netcdf4-python - Python/numpy interface to netCDF
Review Request: netcdf4-python - Python/numpy interface to netCDF
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-08 17:59 EDT by Orion Poplawski
Modified: 2013-04-12 10:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 15:56:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2011-09-08 17:59:30 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/netcdf4-python.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/netcdf4-python-0.9.7-1.fc15.src.rpm
Description:
netCDF version 4 has many features not found in earlier versions of the
library and is implemented on top of HDF5. This module can read and write
files in both the new netCDF 4 and the old netCDF 3 format, and can create
files that are readable by HDF5 clients. The API modeled after
Scientific.IO.NetCDF, and should be familiar to users of that module.

Most new features of netCDF 4 are implemented, such as multiple unlimited
dimensions, groups and zlib data compression. All the new numeric data types
(such as 64 bit and unsigned integer types) are implemented. Compound and
variable length (vlen) data types are supported, but the enum and opaque data
types are not. Mixtures of compound and vlen data types (compound types
containing vlens, and vlens containing compound types) are not supported.
Comment 1 Mathew Topper 2012-04-05 10:48:41 EDT
I think this would be a good additional inclusion to Fedora. Considering other Jeff Whitaker packages are already included (such as python-basemap) and some of the examples for that package use netcdf4-python, I'm surprised its not already available.
Comment 2 Orion Poplawski 2012-04-05 11:09:21 EDT
Yeah, well, just need someone to review it :)

http://www.cora.nwra.com/~orion/fedora/netcdf4-python.spec
http://www.cora.nwra.com/~orion/fedora/netcdf4-python-0.9.9-1.fc16.src.rpm

* Thu Apr 5 2012 Orion Poplawski <orion@cora.nwra.com> - 0.9.9-1
- Update to 0.9.9
Comment 3 Orion Poplawski 2012-05-24 11:34:46 EDT
http://www.cora.nwra.com/~orion/fedora/netcdf4-python.spec
http://www.cora.nwra.com/~orion/fedora/netcdf4-python-1.0-1.fix1.fc17.src.rpm

* Thu May 24 2012 Orion Poplawski <orion@cora.nwra.com> - 1.0-1.fix1
- Update to 1.0fix1
Comment 4 Mario Blättermann 2012-08-26 16:33:25 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4423874

$ rpmlint -i -v *
netcdf4-python.src: I: checking
netcdf4-python.src: W: spelling-error Summary(en_US) netCDF -> netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.src: W: spelling-error %description -l en_US netCDF -> netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.src: W: spelling-error %description -l en_US NetCDF -> Netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.src: W: spelling-error %description -l en_US zlib -> lib, glib, z lib
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.src: W: spelling-error %description -l en_US vlen -> glen, Olen, Glen
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.src: W: spelling-error %description -l en_US enum -> menu, en um, en-um
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.src: W: spelling-error %description -l en_US vlens -> lens, glens, v lens
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.src: I: checking-url http://code.google.com/p/netcdf4-python/ (timeout 10 seconds)
netcdf4-python.src: I: checking-url http://netcdf4-python.googlecode.com/files/netCDF4-1.0fix1.tar.gz (timeout 10 seconds)
netcdf4-python.src: W: invalid-url Source0: http://netcdf4-python.googlecode.com/files/netCDF4-1.0fix1.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

netcdf4-python.i686: I: checking
netcdf4-python.i686: W: spelling-error Summary(en_US) netCDF -> netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.i686: W: spelling-error %description -l en_US netCDF -> netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.i686: W: spelling-error %description -l en_US NetCDF -> Netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.i686: W: spelling-error %description -l en_US zlib -> lib, glib, z lib
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.i686: W: spelling-error %description -l en_US vlen -> glen, Olen, Glen
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.i686: W: spelling-error %description -l en_US enum -> menu, en um, en-um
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.i686: W: spelling-error %description -l en_US vlens -> lens, glens, v lens
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.i686: I: checking-url http://code.google.com/p/netcdf4-python/ (timeout 10 seconds)
netcdf4-python.i686: W: no-manual-page-for-binary nc4tonc3
Each executable in standard binary directories should have a man page.

netcdf4-python.i686: W: no-manual-page-for-binary nc3tonc4
Each executable in standard binary directories should have a man page.

netcdf4-python.x86_64: I: checking
netcdf4-python.x86_64: W: spelling-error Summary(en_US) netCDF -> netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.x86_64: W: spelling-error %description -l en_US netCDF -> netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.x86_64: W: spelling-error %description -l en_US NetCDF -> Netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.x86_64: W: spelling-error %description -l en_US zlib -> lib, glib, z lib
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.x86_64: W: spelling-error %description -l en_US vlen -> glen, Olen, Glen
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.x86_64: W: spelling-error %description -l en_US enum -> menu, en um, en-um
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.x86_64: W: spelling-error %description -l en_US vlens -> lens, glens, v lens
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python.x86_64: I: checking-url http://code.google.com/p/netcdf4-python/ (timeout 10 seconds)
netcdf4-python.x86_64: W: no-manual-page-for-binary nc4tonc3
Each executable in standard binary directories should have a man page.

netcdf4-python.x86_64: W: no-manual-page-for-binary nc3tonc4
Each executable in standard binary directories should have a man page.

netcdf4-python3.i686: I: checking
netcdf4-python3.i686: W: spelling-error Summary(en_US) numpy -> bumpy, lumpy, dumpy
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.i686: W: spelling-error Summary(en_US) netCDF -> netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.i686: W: spelling-error %description -l en_US netCDF -> netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.i686: W: spelling-error %description -l en_US NetCDF -> Netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.i686: W: spelling-error %description -l en_US zlib -> lib, glib, z lib
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.i686: W: spelling-error %description -l en_US vlen -> glen, Olen, Glen
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.i686: W: spelling-error %description -l en_US enum -> menu, en um, en-um
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.i686: W: spelling-error %description -l en_US vlens -> lens, glens, v lens
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.i686: I: checking-url http://code.google.com/p/netcdf4-python/ (timeout 10 seconds)
netcdf4-python3.i686: E: python-bytecode-wrong-magic-value /usr/lib/python3.3/site-packages/__pycache__/netCDF4_utils.cpython-33.pyc expected 3190 (3.3), found 3230 (unknown)
The "magic" ABI version embedded in this python bytecode file isn't equal to
that of the corresponding runtime, which will force the interpreter to
recompile the .py source every time, ignoring the saved bytecode.

netcdf4-python3.i686: E: python-bytecode-wrong-magic-value /usr/lib/python3.3/site-packages/__pycache__/netcdftime.cpython-33.pyc expected 3190 (3.3), found 3230 (unknown)
The "magic" ABI version embedded in this python bytecode file isn't equal to
that of the corresponding runtime, which will force the interpreter to
recompile the .py source every time, ignoring the saved bytecode.

netcdf4-python3.i686: E: python-bytecode-wrong-magic-value /usr/lib/python3.3/site-packages/__pycache__/ordereddict.cpython-33.pyo expected 3190 (3.3), found 3230 (unknown)
The "magic" ABI version embedded in this python bytecode file isn't equal to
that of the corresponding runtime, which will force the interpreter to
recompile the .py source every time, ignoring the saved bytecode.

netcdf4-python3.i686: E: python-bytecode-wrong-magic-value /usr/lib/python3.3/site-packages/__pycache__/ordereddict.cpython-33.pyc expected 3190 (3.3), found 3230 (unknown)
The "magic" ABI version embedded in this python bytecode file isn't equal to
that of the corresponding runtime, which will force the interpreter to
recompile the .py source every time, ignoring the saved bytecode.

netcdf4-python3.i686: E: python-bytecode-wrong-magic-value /usr/lib/python3.3/site-packages/__pycache__/netCDF4_utils.cpython-33.pyo expected 3190 (3.3), found 3230 (unknown)
The "magic" ABI version embedded in this python bytecode file isn't equal to
that of the corresponding runtime, which will force the interpreter to
recompile the .py source every time, ignoring the saved bytecode.

netcdf4-python3.i686: E: python-bytecode-wrong-magic-value /usr/lib/python3.3/site-packages/__pycache__/netcdftime.cpython-33.pyo expected 3190 (3.3), found 3230 (unknown)
The "magic" ABI version embedded in this python bytecode file isn't equal to
that of the corresponding runtime, which will force the interpreter to
recompile the .py source every time, ignoring the saved bytecode.

netcdf4-python3.x86_64: I: checking
netcdf4-python3.x86_64: W: spelling-error Summary(en_US) numpy -> bumpy, lumpy, dumpy
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.x86_64: W: spelling-error Summary(en_US) netCDF -> netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.x86_64: W: spelling-error %description -l en_US netCDF -> netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.x86_64: W: spelling-error %description -l en_US NetCDF -> Netted
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.x86_64: W: spelling-error %description -l en_US zlib -> lib, glib, z lib
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.x86_64: W: spelling-error %description -l en_US vlen -> glen, Olen, Glen
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.x86_64: W: spelling-error %description -l en_US enum -> menu, en um, en-um
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.x86_64: W: spelling-error %description -l en_US vlens -> lens, glens, v lens
The value of this tag appears to be misspelled. Please double-check.

netcdf4-python3.x86_64: I: checking-url http://code.google.com/p/netcdf4-python/ (timeout 10 seconds)
netcdf4-python3.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.3/site-packages/__pycache__/ordereddict.cpython-33.pyc expected 3190 (3.3), found 3230 (unknown)
The "magic" ABI version embedded in this python bytecode file isn't equal to
that of the corresponding runtime, which will force the interpreter to
recompile the .py source every time, ignoring the saved bytecode.

netcdf4-python3.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.3/site-packages/__pycache__/ordereddict.cpython-33.pyo expected 3190 (3.3), found 3230 (unknown)
The "magic" ABI version embedded in this python bytecode file isn't equal to
that of the corresponding runtime, which will force the interpreter to
recompile the .py source every time, ignoring the saved bytecode.

netcdf4-python3.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.3/site-packages/__pycache__/netCDF4_utils.cpython-33.pyo expected 3190 (3.3), found 3230 (unknown)
The "magic" ABI version embedded in this python bytecode file isn't equal to
that of the corresponding runtime, which will force the interpreter to
recompile the .py source every time, ignoring the saved bytecode.

netcdf4-python3.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.3/site-packages/__pycache__/netCDF4_utils.cpython-33.pyc expected 3190 (3.3), found 3230 (unknown)
The "magic" ABI version embedded in this python bytecode file isn't equal to
that of the corresponding runtime, which will force the interpreter to
recompile the .py source every time, ignoring the saved bytecode.

netcdf4-python3.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.3/site-packages/__pycache__/netcdftime.cpython-33.pyo expected 3190 (3.3), found 3230 (unknown)
The "magic" ABI version embedded in this python bytecode file isn't equal to
that of the corresponding runtime, which will force the interpreter to
recompile the .py source every time, ignoring the saved bytecode.

netcdf4-python3.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.3/site-packages/__pycache__/netcdftime.cpython-33.pyc expected 3190 (3.3), found 3230 (unknown)
The "magic" ABI version embedded in this python bytecode file isn't equal to
that of the corresponding runtime, which will force the interpreter to
recompile the .py source every time, ignoring the saved bytecode.

netcdf4-python-debuginfo.i686: I: checking
netcdf4-python-debuginfo.i686: I: checking-url http://code.google.com/p/netcdf4-python/ (timeout 10 seconds)
netcdf4-python-debuginfo.x86_64: I: checking
netcdf4-python-debuginfo.x86_64: I: checking-url http://code.google.com/p/netcdf4-python/ (timeout 10 seconds)
netcdf4-python.spec: I: checking-url http://netcdf4-python.googlecode.com/files/netCDF4-1.0fix1.tar.gz (timeout 10 seconds)
netcdf4-python.spec: W: invalid-url Source0: http://netcdf4-python.googlecode.com/files/netCDF4-1.0fix1.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

7 packages and 1 specfiles checked; 12 errors, 43 warnings.


The spelling errors refer mostly to python module names, which can safely be ignored.

The source download link is not reachable, but this problem is well known for Googlecode repos. Downloading with Firefox directly or by using wget works.

But what about the python-bytecode-wrong-magic-value warnings? Normally I would think you were forgotten to delete the bytecode files before so that they were going into the package. But there are no bytecode files in the tarball, as far as I can see.
Comment 5 Orion Poplawski 2012-08-27 13:50:21 EDT
Bytecode issue is with rpmlint, see Bug 845972
Comment 6 Mario Blättermann 2012-09-12 14:41:46 EDT
(In reply to comment #5)
> Bytecode issue is with rpmlint, see Bug 845972

Yes, indeed. Just tested the same files with an updated rpmlint, and the error message doesn't appear anymore.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    MIT
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    57f8d598521cc5bce90ad70a4df5dcf4947e8ab0252e6803e272547d7910e97b  netCDF4-1.0fix1.tar.gz
    57f8d598521cc5bce90ad70a4df5dcf4947e8ab0252e6803e272547d7910e97b  netCDF4-1.0fix1.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 7 Orion Poplawski 2012-09-12 15:35:26 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: netcdf4-python
Short Description: Python/numpy interface to netCDF
Owners: orion
Branches: f16 f17 f18 el6 el5
InitialCC:
Comment 8 Jon Ciesla 2012-09-12 15:39:48 EDT
Git done (by process-git-requests).
Comment 9 Orion Poplawski 2012-09-12 15:56:37 EDT
Checked in and built.  Thanks again everyone.

Note You need to log in before you can comment on or make changes to this bug.